summaryrefslogtreecommitdiff
path: root/init.d
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-05-30 11:26:53 +0000
committerRoy Marples <roy@marples.name>2007-05-30 11:26:53 +0000
commit8bcc145c98cc16b149a06d7aca04f22804989c5e (patch)
tree82ffb5e24f01e3eb305eec3eb35b133ed128d45c /init.d
parentdd332f377c014b2011100e3ab93caa9258a14bdf (diff)
downloadopenrc-8bcc145c98cc16b149a06d7aca04f22804989c5e.tar.gz
openrc-8bcc145c98cc16b149a06d7aca04f22804989c5e.tar.bz2
openrc-8bcc145c98cc16b149a06d7aca04f22804989c5e.tar.xz
Always update mtab
Diffstat (limited to 'init.d')
-rwxr-xr-xinit.d/checkroot8
1 files changed, 6 insertions, 2 deletions
diff --git a/init.d/checkroot b/init.d/checkroot
index 1cc5f89..d6dcd4f 100755
--- a/init.d/checkroot
+++ b/init.d/checkroot
@@ -31,7 +31,7 @@ do_mtab() {
rm -f /etc/mtab~ /etc/mtab~~
}
-start() {
+do_fsck() {
local retval=0 opts="-F"
[ "${RC_UNAME}" = "Linux" ] && opts="-T -C0"
@@ -110,7 +110,11 @@ start() {
else
mount -u -o rw /
fi
- eend $? "Root filesystem could not be mounted read/write :(" || return 1
+ eend $? "Root filesystem could not be mounted read/write :("
+}
+
+start() {
+ do_fsck || return 1
# Only Linux has mtab
[ "${RC_UNAME}" = "Linux" ] && do_mtab